Name: 		xitami
Version: 	2.5c2
Release: 	4
Copyright: 	GPL
Summary: 	The fastest Ftp/HTTP Web server on the Internet.
Group: 		System
Source0: 	xiopen_2_5_src.tar.gz
Source1: 	home.tar.bz2
Source2:	rbase_1_0_src.tar.gz
Patch0: 	xitami.cfg.diff
Patch1:		boomake.diff
BuildRoot: 	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%define		_sysconfdir	/etc
Prefix: 	/home

%description
Xitami is a powerful, full-featured, efficient and freely-available
Web server. Xitami is also the fastest Ftp/HTTP Web server for Unix.

Xitami is both and ftpd/httpd. It's setup default to run cgi/php 
and can also handle the MySQL database.

Install this Xitami package if you need a Ftp/HTTP Web server.

%prep
%setup -q -c
%patch0 -p0
%patch1 -p0
mkdir rbase_1_0_src; tar xzpf %{SOURCE2} -C rbase_1_0_src

%build
export IBASE="/home/rbase"
cd rbase_1_0_src;sh build.sh;cd ../
sh build.sh
cp /home/cgi-src/testperl.pl /home/cgi-bin/
# Now comes my silly hack to cgi happening.
cd /home/cgi-src; ln -sf /home/rbase/lib/libsfl.a /usr/local/lib/.
ln -sf ../rbase/include/sfl.h .
gcc testcgi.c -o ../cgi-bin/testcgi -lsfl
gcc testcgi1.c -o ../cgi-bin/testcgi1 -lsfl
gcc testcgi2.c -o ../cgi-bin/testcgi2 -lsfl
gcc testcgi3.c -o ../cgi-bin/testcgi3 -lsfl
gcc testcgi4.c -o ../cgi-bin/testcgi4 -lsfl
gcc testcgi5.c -o ../cgi-bin/testcgi5 -lsfl
gcc testcgi6.c -o ../cgi-bin/testcgi6 -lsfl
gcc testcgi7.c -o ../cgi-bin/testcgi7 -lsfl
rm /usr/local/lib/libsfl.a
rm -rf /home/rbase
rm -rf /home/cgi-src
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/home/users
cp -r /home/* $RPM_BUILD_ROOT/home
tar xjf %{SOURCE1} -C $RPM_BUILD_ROOT
strip -R.comment -R.note $RPM_BUILD_ROOT/home/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/home/cgi-bin/* 2>/dev/null || :
chmod 600 $RPM_BUILD_ROOT/home/def*
chmod 600 $RPM_BUILD_ROOT/home/ftpdirs.aut
chmod 600 $RPM_BUILD_ROOT/home/ftpusers.aut
chmod 600 $RPM_BUILD_ROOT/home/xitami.aut
chmod 600 $RPM_BUILD_ROOT/home/xitami.cfg
touch -c `find $RPM_BUILD_ROOT`

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
